Create Importable Encrypted Wallet

Create importable encrypted wallet

This endpoint is designed to streamline the process of creating an encrypted wallet by combining multiple steps into a single API call. It facilitates the creation of an importable encrypted wallet specifically on the Litecoin Blockchain, ensuring secure and efficient wallet management.

Create an Importable Encrypted Wallet (API referencearrow-up-right)

POST /api/Wallet/create-importable-encrypted-wallet

A post request to create an importable encrypted wallet, the difference is that this is a single endpoint that merges the two endpoints (Create Importable Wallet and Encrypt wallet) operation together to create an importable wallet on the Litecoin Blockchain

Headers

Name
Type
Description

Content-Type

String

application/json

Authorization*

Bearer <your api key>

Attach you API key here

Usev2*

String

Value should be true or yes

Request Body

Name
Type
Description

wallet_name*

String

type the name of the wallet you want to create

Create Importable Encrypted Wallet

Liaas SDK package installation

/** 
 * This combines the operation of creating an importable wallet and encrypting the wallet as a separate operation
**/

//pass your API key or Node URL and the wallet name
//This returns the mnemonics and the encrypted key of the wallet.
const response = await liaasSdk.createImportableEncryptedWallet(nodeUrl_or_apiAccessKey, walletName);

Last updated

Was this helpful?